View Issue Details

IDProjectCategoryView StatusLast Update
0015454ScribusGraphics / Image Framespublic2019-06-04 20:55
Reporterjack_cat Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version1.4.6 
Target VersionFixed in Version1.4.8.svn 
Summary0015454: Importing a Lilypond-generated .svg file generates peculiar results
DescriptionI am doing fine using lilypond-generated .png files instead, but mentioning this problem on the Scribus forum led to A.L.E. suggesting that I upload a lilypond-generated .svg file here, so that it may be determined whether the issue is with Lilypond or with Scribus.
Steps To ReproduceImport the .svg file into Scribus using the command in the file menu
TagsNo tags attached.
PatchNo

Activities

jack_cat

2018-10-11 03:51

reporter  

struct-duo-test_01.svg (7,932 bytes)

ale

2018-10-11 06:17

manager   ~0045506

this is how inkscape shows the file...

and i can confirm that the rendering is "messed up" in scribus 1.5...

ale

2018-10-11 06:20

manager  

lilly.png (13,605 bytes)
lilly.png (13,605 bytes)

utnik

2018-10-11 07:18

updater   ~0045507

the problem is color related. when you ungroup the imported file, you can select all and apply a fill color and for the horizontal lines a stroke color.
there is an empty rectangle behind the text line. this doesn't need any color (or could be deleted…)
after that, the file looks correct.
checked with scribus 1.4.7 and 1.5.4 – the same. (except that you can't apply a color to a selection of multiple objects in scribus 1.4.x…)

in the xml code all the colors are set as 'currentColor'. when i change this to 'black' in a text editor, the file imports correct.
i don't know much about xml, but it might be a 'lilypond' issue.

jghali

2018-10-11 10:57

administrator   ~0045508

This lillypond svg apparently relies on undefined behavior. SVG 1.1. specs tells us about currentColor property:
"Indicates that painting is done using the color specified by the 'color' property.

However both SVG 1.1 and CSS 2 specs tells us the the default value of 'color' is 'user agent defined', ie implementation defined. So the result of using 'currentColor' before specifying explicitly a value for 'color' will be implementation defined. Given that this svg from lillypond does not specify a 'color' value before using 'currentColor', I have to consider that lillypond is relying on undefined behavior and hence this is up to Lillypond to stop relying on such undefined behavior.

utnik

2018-10-11 12:10

updater   ~0045509

the question is: where does the file come from?
at least on macOS i can't generate .svg files direct from lilypond!

…could be a 'self made' issue while converting somehow…
an imported .pdf file from lilypond looks perfect in scribus 1.5.4.

ale

2018-10-11 12:43

manager   ~0045512

according to this forum post

http://forums.scribus.net/index.php/topic,3042.msg14421.html#msg14421

lillypond can export to svg...

jghali

2018-10-14 21:15

administrator   ~0045514

I modified the default "currentColor" to black so that it matches what browsers do. I just hope lilypond devs will fix the undefined behavior in their svg output too.

cds4byu

2018-12-04 22:33

reporter   ~0045680

I believe the current lilypond behavior is correct. The color choice for the rendering is to be made by the render engine, rather than the content creator. This allows CSS to specify the color of the elements, thus allowing easy recoloring of the graphic without having to regenerate it.

There is currently some discussion going on to improve the svg output of lilypond. One idea is that a command line option could be given to force the lilypond output svg to be whatever color the user desired.

Even if this option is added to lilypond, I believe that Scribus (as a renderer of the SVG image) has the responsibility to create an appropriate default for currentColor.

Issue History

Date Modified Username Field Change
2018-10-11 03:51 jack_cat New Issue
2018-10-11 03:51 jack_cat File Added: struct-duo-test_01.svg
2018-10-11 06:17 ale File Added: lilly.png
2018-10-11 06:17 ale Note Added: 0045506
2018-10-11 06:19 ale File Deleted: lilly.png
2018-10-11 06:20 ale File Added: lilly.png
2018-10-11 07:18 utnik Note Added: 0045507
2018-10-11 10:57 jghali Note Added: 0045508
2018-10-11 12:10 utnik Note Added: 0045509
2018-10-11 12:43 ale Note Added: 0045512
2018-10-14 21:13 jghali Summary Importing a Lilypond-generated .svg file to Scribus generates peculiar results => Importing a Lilypond-generated .svg file generates peculiar results
2018-10-14 21:15 jghali Assigned To => jghali
2018-10-14 21:15 jghali Status new => resolved
2018-10-14 21:15 jghali Resolution open => fixed
2018-10-14 21:15 jghali Fixed in Version => 1.4.8.svn
2018-10-14 21:15 jghali Note Added: 0045514
2018-12-04 22:33 cds4byu Note Added: 0045680
2019-06-04 20:55 cbradney Status resolved => closed